%define lib_name_orig	libdm
%define lib_major	0
%define lib_name	%mklibname dm %{lib_major}
%define devel_name      %mklibname -d dm

Summary:	Data Management API runtime environment
Name:		dmapi
Version:	2.2.12
Release:	%mkrel 13
Source0:	ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
Patch0:		dmapi-2.2.10-libexec.patch
Patch1:		fix-build.patch
License:	LGPLv2 and GPLv2
Group:		System/Kernel and hardware
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	xfs-devel
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	libtool

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Management
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package -n	%{lib_name}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Requires(pre):	filesystem >= 2.1.9-18
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{devel_name}
Summary:	Data Management API static libraries and headers
Group:		Development/C
Requires(pre):	filesystem >= 2.1.9-18
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	dm-devel = %{version}-%{release}
Obsoletes:	dm-devel
Provides:	libdm0-devel = %{version}-%{release}
Obsoletes:	libdm0-devel < 2.2.9-2

%description -n	%{devel_name}
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

%prep
%setup -q
%autopatch -p1

# fix build on aarch64
cp -af %{_rpmconfigdir}/%{_real_vendor}/config.{guess,sub} .

%build
%configure
%make_build

%install
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

# (sb) installed but unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/dmapi

%files -n %{lib_name}
%{_libdir}/*.so.*

%files -n %{devel_name}
%doc doc/PORTING doc/CHANGES.gz doc/COPYING README
%{_libdir}/*.so
%{_libdir}/*a
%{_mandir}/man3/*
%{_includedir}/*/*






%changelog
* Wed Mar 30 2022 umeabot <umeabot> 2.2.12-13.mga9
+ Revision: 1834062
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 martinw <martinw> 2.2.12-12.mga8
+ Revision: 1615925
- rebuild for rpm-mageia-setup changes

* Thu Feb 13 2020 umeabot <umeabot> 2.2.12-11.mga8
+ Revision: 1511858
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.12-10.mga7
+ Revision: 1297465
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 2.2.12-9.mga7
+ Revision: 1234820
- aarch64 doesn't have getdents, but getdents64

* Tue Jun 05 2018 wally <wally> 2.2.12-8.mga7
+ Revision: 1234812
- fix build on aarch64

* Sun Mar 13 2016 tv <tv> 2.2.12-7.mga6
+ Revision: 990288
- patch 1: fix build

* Thu Feb 04 2016 umeabot <umeabot> 2.2.12-6.mga6
+ Revision: 935944
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.12-5.mga5
+ Revision: 749998
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.12-4.mga5
+ Revision: 678770
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.12-3.mga4
+ Revision: 503858
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2.12-2.mga3
+ Revision: 348850
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 tmb <tmb> 2.2.12-1.mga3
+ Revision: 339706
- update to 2.2.12

* Tue Jan 01 2013 pterjan <pterjan> 2.2.10-5.mga3
+ Revision: 337459
- Fix for _libdir != _libexecdir

* Sat Jul 21 2012 colin <colin> 2.2.10-4.mga3
+ Revision: 273158
- Update for usrmove

* Thu Feb 24 2011 ennael <ennael> 2.2.10-3.mga1
+ Revision: 58856
- clean spec file
- imported package dmapi


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-3mdv2011.0
+ Revision: 604797
- rebuild

* Mon Dec 28 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.10-2mdv2010.1
+ Revision: 483184
- rebuild

* Wed May 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.10-1mdv2010.0
+ Revision: 372679
- Update to new version 2.2.10
- Don't run aclocal and autoconf, it breaks the build and is not needed

* Thu Feb 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.9-2mdv2009.1
+ Revision: 337877
- SPEC file clean-ups:
- Fix license
- use %%{buildroot} instead of $RPM_BUILD_ROOT
- Don't package documentation files in lib package
- Rename devel package to follow official policy

* Thu Feb 05 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.9-1mdv2009.1
+ Revision: 337865
- Update to new version 2.2.9

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.5-4mdv2009.1
+ Revision: 316556
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2.2.5-3mdv2009.0
+ Revision: 220651
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2.2.5-2mdv2008.1
+ Revision: 124066
- kill re-definition of %%buildroot on Pixel's request


* Sat Mar 03 2007 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.5-2mdv2007.0
+ Revision: 131829
- Rebuilt.
- Import dmapi

* Sun Jul 09 2006 Giuseppe Ghibò <ghibo@mandriva.com> 2.2.5-1mdv2007.0
- 2.2.5.

* Wed Jun 21 2006 Stew Benedict <sbenedict@mandriva.com> 2.2.3-1mdv2007.0
- 2.2.3

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 2.2.1-5mdk
- rebuild for sparc

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.1-4mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.2.1-3mdk
- Rebuild

* Sun Jun 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.1-2mdk
- add BuildRequires: libext2fs-devel

* Sat Jun 04 2005 Stew Benedict <sbenedict@mandriva.com> 2.2.1-1mdk
- 2.2.1

